Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008224opensim[REGION] OpenSim Corepublic2017-07-31 01:372017-07-31 03:06
Reporteraiaustin 
Assigned Toaiaustin 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0008224: osSetDynamicTextureURL and osSetDynamicTextureData have stopped working
DescriptionAfter updating from opensim-0.9.0-1624-g6996bab.zip (2017-07-26 19:13) to opensim-0.9.1-1630-gcf855c3.zip (2017-07-30 16:24) all screens which use osSetDynamicTextureURL and Justin's Graffiti Board which uses osSetDynamicTextureData are not working. No error is thrown. Just blank screens show.

Revert to opensim-0.9.0-1624-g6996bab.zip version and it works fine.
Additional InformationIn the set of commits between 1624 and 1630 there seems to only be one that MIGHT have an effect. An HTTP header change to address mantis 8222.
TagsNo tags attached.
Git Revision or version numberopensim-0.9.1-1630-gcf855c3
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows32
Mono VersionNone
ViewerFirestorm 5.0.7.52912
Attached Files

- Relationships

-  Notes
(0032222)
UbitUmarov (administrator)
2017-07-31 02:03

tested Justin's Graffiti Board
as found at https://forums.osgrid.org/viewtopic.php?f=5&t=89 [^]
and seems working fine
(0032223)
UbitUmarov (administrator)
2017-07-31 02:05

are you for example forgetting you no need to be on same simulator to see this type of textures? ( just asking ;) )
(0032224)
UbitUmarov (administrator)
2017-07-31 02:46

default {
    state_entry()
    {
        llSay( 0, "osSetDynamicTextureURL Tester");
    }
    touch_start(integer total_number)
    {
      llSay( 0, "Testing.");
      string dynamicID="";
      string contentType="image";
      string srcURL = "https://www.nasa.gov/sites/default/files/thumbnails/image/hs-2005-34-j-full_jpg.jpg"; [^]
      string URLTexture=osSetDynamicTextureURL(dynamicID, contentType ,srcURL , "", 0);
   }
}

also working...

not that unlike stated on wiki, at this time osSetDynamicTextureURL*() do not return a valid texture uuid
(0032225)
aiaustin (developer)
2017-07-31 02:50
edited on: 2017-07-31 02:51

On same simulator? My avatar is logged in and in the same region as well as standing next to the prims which are not showing the content @Ubit.. identical to what I usually see and that works in version 1624. All the prims just show white faces in 1630.

(0032226)
UbitUmarov (administrator)
2017-07-31 03:04

sorry, cant repo. Both cases working on Win and Linux, on master.
(0032227)
aiaustin (developer)
2017-07-31 03:06

Sorry to trouble you on this. After checking the setup and recompiling 1630 from scratch it does work. I must have made some mistake while updating. Marking as no action needed.

- Issue History
Date Modified Username Field Change
2017-07-31 01:37 aiaustin New Issue
2017-07-31 01:37 aiaustin Relationship added related to 0008222
2017-07-31 01:43 aiaustin Description Updated View Revisions
2017-07-31 02:02 UbitUmarov Relationship deleted related to 0008222
2017-07-31 02:03 UbitUmarov Note Added: 0032222
2017-07-31 02:05 UbitUmarov Note Added: 0032223
2017-07-31 02:46 UbitUmarov Note Added: 0032224
2017-07-31 02:50 aiaustin Note Added: 0032225
2017-07-31 02:51 aiaustin Note Edited: 0032225 View Revisions
2017-07-31 03:04 UbitUmarov Note Added: 0032226
2017-07-31 03:06 aiaustin Note Added: 0032227
2017-07-31 03:06 aiaustin Status new => closed
2017-07-31 03:06 aiaustin Assigned To => aiaustin
2017-07-31 03:06 aiaustin Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker